Skip to main content
Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/SNS Operations
POSTSNS OperationsSince 2.3SynchronousAuth Required

SubscribeSNSTopic

SubscribeSNSTopic

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • topicUuidStringRequired

    The application topic UUID.

  • endpointUuidStringRequired

    The endpoint UUID.

Body Fields

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

POST/zstack/v1/sns/topics/{topicUuid}/endpoints/{endpointUuid}

/zstack/v1/sns/topics/{topicUuid}/endpoints/{endpointUuid}

Operation ID

SubscribeSNSTopic

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/sns/topics/{topicUuid}/endpoints/{endpointUuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history